roqet(1)

NAME
roqet - Rasqal RDF query utility

SYNOPSIS
roqet [OPTIONS] <query-URI> [base-URI]
roqet [OPTIONS]-e query-string [base-URI]

EXAMPLE
roqet example.sparql
roqet -q -i rdql x.rdql http://example.org/base/
roqet -i sparql -r xml http://example.org/query.rq

DESCRIPTION
The roqet utility allows querying of RDF content using the Rasqal RDF query library, printing the results in variable bindings, RDF graph or boolean format. The query is read from query-URI and the optional base-URI is used as the base URI of the query if present.

MAIN OPTIONS
roqet uses the usual GNU command line syntax, with long options starting with two dashes (`-') if supported by the getopt_long function. Otherwise only the short options are available.

-e, --exec QUERY
    Execute the query in the argument QUERY instead of reading the query from a URI (when -e is not given).

-i, --input LANGUAGE
    Set the input query LANGUAGE to one of'sparql' (SPARQL Query Language for RDF, default) or 'rdql' (RDF Data Query Language). The list of supported languages is given in the help summary given by -h.

-r, --results FORMAT
    Set the query results format.

    For variable bindings, the values of FORMAT vary upon what Rasqal supports but include 'simple' for a simple text format (default), 'xml' for the SPARQL Query Results XML format and 'json' for a JSON version of the results.

    For RDF graph results, the values of FORMAT are 'ntriples' (N-Triples, default), 'rdfxml-abbrev' (RDF/XML Abbreviated), 'rdfxml' (RDF/XML), 'turtle' (Turtle), 'json' (RDF/JSON resource centric), 'json-triples' (RDF/JSON triples) or 'rss-1.0' (RSS 1.0, also an RDF/XML syntax).

    The exact list of formats depends on what libraptor(3) was built with but is given correct in the usage message with -h.

OTHER OPTIONS

-c, --count
    Only count the triples and produce no other output.

-D, --data URI
    Add RDF data source URI (not a named graph)

-d, --dump-query FORMAT
    Print the parsed query out in a given FORMAT one of 'debug', 'structure' or 'sparql'

-f, --feature NAME(=VALUE)
    Set query feature NAME to the VALUE or integer 1 if omitted. The known features can be shown with -f help or --feature help.

-G, --named URI
    Add RDF data source URI (named graph)

-h, --help
    Show a summary of the options.

-n, --dryrun
    Prepare the query but do not execute it.

-q, --quiet
    No extra information messages.

-s, --source URI
    Ad RDF data source URI (named graph)) URI by adding it to the list of query data source URIs. FORMAT to 'simple' (default) or 'xml' (an experimental XML format)

-v, --version
    Print the rasqal library version and exit.

-w, --walk-query
    Walk the query and display it using the API.

CONFORMING TO
SPARQL Query Language for RDF, Eric Prud'hommeaux and Andy Seaborne (eds), W3C Recommendation, 15 January 2008. http://www.w3.org/TR/2008/REC-rdf-sparql-query-20080115/ (http://www.w3.org/TR/2008/REC-rdf-sparql-query-20080115/)

SPARQL Query Results XML Format, Jeen Broekstra and Dave Beckett (eds), W3C Recommendation, 15 January 2008. http://www.w3.org/TR/2008/REC-rdf-sparql-XMLres-20080115/ (http://www.w3.org/TR/2008/REC-rdf-sparql-XMLres-20080115/)

RDQL - A Query Language for RDF, Andy Seaborne, W3C Member Submission 9 January 2004 http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/ (http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/)

SEE ALSO
librasqal(3),rasqal-config(1),libraptor(3)

CHANGES

AUTHOR
Dave Beckett - http://www.dajobe.org/ (http://www.dajobe.org/)